# This file describes your repository contents.
# It should return a set of nix derivations
# and optionally the special attributes `lib`, `modules` and `overlays`.
# It should NOT import <nixpkgs>. Instead, you should take pkgs as an argument.
# Having pkgs default to <nixpkgs> is fine though, and it lets you use short
# commands such as:
#     nix-build -A mypackage

{ pkgs ? import <nixpkgs> { } }:

let
  callPackage = pkgs.lib.callPackageWith (pkgs // packages);
  packages = rec {
    wow_335a = callPackage ./pkgs/client/335.nix { };
    assets_335a = callPackage ./pkgs/maps/335.nix {
      inherit wow_335a;
    };
    # some-qt5-package = pkgs.libsForQt5.callPackage ./pkgs/some-qt5-package { };
    # ...
  };
in
{
  # The `lib`, `modules`, and `overlay` names are special
  lib = import ./lib { inherit pkgs; }; # functions
  modules = import ./modules; # NixOS modules
  overlays = import ./overlays; # nixpkgs overlays
} // packages
