{ stdenv, requireFile, lib }:
stdenv.mkDerivation {
  pname = "world-of-warcraft-client-en_US";
  version = "3.3.5a-12340";

  preferLocalBuild = true;

  src = requireFile {
    name = "WoW_335a_en_US";
    url = "https://download.wowdl.net/downloadFiles/Clients/World-of-Warcraft-3.3.5a.12340-enUS.zip";
    hash = "sha256-yBPxE/IXRh5nph8VSSwn1GnmjoGaNdI7PTpZ6ngE2H0=";
    hashMode = "recursive";
  };

  phases = [ "unpackPhase" "installPhase" ];

  installPhase = ''
    mkdir -p $out
    cp -rv . $out/
  '';

  passthru = {
    locale = "en-US";
  };

  meta = with lib; {
    description = "World Of Warcraft client for 3.3.5a";
    maintainers = with maintainers; [ raitobezarius ];
  };
}
